const colors = {
  reds: [
    "#660505",
    "#8B0000",
    "#AB0613",
    "#C70000",
    "#FF5943",
    "#FF9081",
    "#FFBAC8",
    "#FFF4F2"
  ],
  oranges: [
    "#672005",
    "#8D2700",
    "#C74600",
    "#E05E00",
    "#FF7F0F",
    "#FF9941",
    "#F9B376",
    "#FEF9F5"
  ],
  blues: [
    "#003C60",
    "#004E7C",
    "#005689",
    "#0077B6",
    "#00B2FF",
    "#90DCFF",
    "#F1F8FC",
    "#001536",
    "#041F4A",
    "#052962",
    "#007ABC",
    "#506991",
    "#C1D8FC",
    "#0093E0"
  ],
  browns: [
    "#2B2625",
    "#3E3323",
    "#574835",
    "#6B5840",
    "#866D50",
    "#A1845C",
    "#EACCA0",
    "#E7D4B9",
    "#EFE8DD",
    "#FBF6EF"
  ],
  pinks: [
    "#510043",
    "#650054",
    "#7D0068",
    "#BB3B80",
    "#FFABDB",
    "#FEC8D3",
    "#FEEEF7"
  ],
  yellows: [
    "#F3C100",
    "#FFD900",
    "#FFE500"
  ],
  greens: [
    "#185E36",
    "#22874D",
    "#58D08B",
    "#4B8878",
    "#65A897",
    "#69D1CA"
  ],
  grays: [
    "#000000",
    "#121212",
    "#1A1A1A",
    "#333333",
    "#707070",
    "#999999",
    "#DCDCDC",
    "#EDEDED",
    "#F6F6F6",
    "#FFFFFF",
    "#222527",
    "#303538",
    "#3F464A",
    "#595C5F",
    "#9DA0A2",
    "#ABC2C9",
    "#E4E5E8",
    "#EFF1F2"
  ]
};
const brand = {
  100: colors.blues[7],
  300: colors.blues[8],
  400: colors.blues[9],
  500: colors.blues[10],
  600: colors.blues[11],
  800: colors.blues[12]
};
const brandAlt = {
  200: colors.yellows[0],
  300: colors.yellows[1],
  400: colors.yellows[2]
};
const neutral = {
  0: colors.grays[0],
  7: colors.grays[1],
  10: colors.grays[2],
  20: colors.grays[3],
  46: colors.grays[4],
  60: colors.grays[5],
  86: colors.grays[6],
  93: colors.grays[7],
  97: colors.grays[8],
  100: colors.grays[9]
};
const error = {
  400: colors.reds[3],
  500: colors.reds[5]
};
const success = {
  400: colors.greens[1],
  500: colors.greens[2]
};
const news = {
  100: colors.reds[0],
  200: colors.reds[1],
  300: colors.reds[2],
  400: colors.reds[3],
  500: colors.reds[4],
  550: colors.reds[5],
  600: colors.reds[6],
  800: colors.reds[7]
};
const opinion = {
  100: colors.oranges[0],
  200: colors.oranges[1],
  300: colors.oranges[2],
  400: colors.oranges[3],
  500: colors.oranges[4],
  550: colors.oranges[5],
  600: colors.oranges[6],
  800: colors.oranges[7]
};
const sport = {
  100: colors.blues[0],
  200: colors.blues[1],
  300: colors.blues[2],
  400: colors.blues[3],
  500: colors.blues[4],
  600: colors.blues[5],
  800: colors.blues[6]
};
const culture = {
  50: colors.browns[0],
  100: colors.browns[1],
  200: colors.browns[2],
  300: colors.browns[3],
  350: colors.browns[4],
  400: colors.browns[5],
  500: colors.browns[6],
  600: colors.browns[7],
  700: colors.browns[8],
  800: colors.browns[9]
};
const lifestyle = {
  100: colors.pinks[0],
  200: colors.pinks[1],
  300: colors.pinks[2],
  400: colors.pinks[3],
  500: colors.pinks[4],
  600: colors.pinks[5],
  800: colors.pinks[6]
};
const labs = {
  200: colors.greens[3],
  300: colors.greens[4],
  400: colors.greens[5]
};
const specialReport = {
  100: colors.grays[10],
  200: colors.grays[11],
  300: colors.grays[12],
  400: colors.grays[13],
  450: colors.grays[14],
  500: colors.grays[15],
  700: colors.grays[16],
  800: colors.grays[17]
};
const focus = {
  400: colors.blues[13]
};
const background = {
  primary: neutral[100],
  secondary: neutral[97],
  inverse: neutral[10],
  ctaPrimary: brand[400],
  ctaPrimaryHover: "#234B8A",
  ctaSecondary: brand[800],
  ctaSecondaryHover: "#ACC9F7",
  ctaTertiaryHover: "#E5E5E5",
  input: neutral[100],
  inputChecked: brand[500]
};
const brandBackground = {
  primary: brand[400],
  inputChecked: neutral[100],
  ctaPrimary: neutral[100],
  ctaPrimaryHover: "#E0E0E0",
  ctaSecondary: brand[600],
  ctaSecondaryHover: "#234B8A",
  ctaTertiaryHover: brand[300]
};
const brandAltBackground = {
  primary: brandAlt[400],
  ctaPrimary: neutral[7],
  ctaPrimaryHover: "#454545",
  ctaSecondary: brandAlt[200],
  ctaSecondaryHover: "#F2AE00",
  ctaTertiaryHover: "#FFD213"
};
const border = {
  primary: neutral[60],
  secondary: neutral[86],
  success: success[400],
  error: error[400],
  ctaTertiary: brand[400],
  input: neutral[60],
  inputChecked: brand[500],
  inputHover: brand[500],
  inputActive: brand[500],
  focusHalo: focus[400]
};
const brandBorder = {
  primary: brand[600],
  secondary: brand[600],
  success: success[500],
  error: error[500],
  ctaTertiary: neutral[100],
  input: brand[800],
  inputChecked: neutral[100],
  inputHover: neutral[100]
};
const brandAltBorder = {
  ctaTertiary: neutral[7]
};
const line = {
  primary: neutral[86]
};
const brandLine = {
  primary: brand[600]
};
const brandAltLine = {
  primary: neutral[7]
};
const text = {
  primary: neutral[7],
  supporting: neutral[46],
  success: success[400],
  error: error[400],
  ctaPrimary: neutral[100],
  ctaSecondary: brand[400],
  ctaTertiary: brand[400],
  anchorPrimary: brand[500],
  anchorSecondary: neutral[7],
  userInput: neutral[7],
  inputLabel: neutral[7],
  inputLabelSupporting: neutral[46],
  inputChecked: brand[400],
  inputHover: brand[400],
  groupLabel: neutral[7],
  groupLabelSupporting: neutral[46],
  newsInverse: news[550]
};
const brandText = {
  primary: neutral[100],
  supporting: brand[800],
  success: success[500],
  error: error[500],
  ctaPrimary: brand[400],
  ctaSecondary: neutral[100],
  ctaTertiary: neutral[100],
  anchorPrimary: neutral[100],
  anchorPrimaryHover: brandAlt[400],
  userInput: neutral[100],
  inputLabel: neutral[100],
  inputLabelSupporting: brand[800]
};
const brandAltText = {
  primary: neutral[7],
  supporting: neutral[60],
  ctaPrimary: neutral[100],
  ctaSecondary: neutral[7],
  ctaTertiary: neutral[7],
  anchorPrimary: neutral[7]
};

const visuallyHidden = `
	position: absolute;
	opacity: 0;
	height: 0;
	width: 0;
	top: 0;
	left: 0;
`;
const focusHalo = `
	outline: 0;
	html:not(.src-focus-disabled) & {
		box-shadow: 0 0 0 5px ${border.focusHalo};
	}
`;
const descriptionId = (id) => `${id}_description`;
let sourceIdIndex = 0;
const generateSourceId = () => `src-component-${sourceIdIndex++}`;

const transitions = {
  short: ".2s cubic-bezier(.64, .57, .67, 1.53)",
  medium: ".3s ease-in-out",
  long: ".65s ease-in-out"
};

const breakpoints = {
  mobile: 320,
  mobileMedium: 375,
  mobileLandscape: 480,
  phablet: 660,
  tablet: 740,
  desktop: 980,
  leftCol: 1140,
  wide: 1300
};

const minWidth = (from2) => `@media (min-width: ${`${from2}px`})`;
const maxWidth = (until2) => `@media (max-width: ${`${until2 - 1}px`})`;
const minWidthMaxWidth = (from2, until2) => `@media (min-width: ${`${from2}px`}) and (max-width: ${`${until2 - 1}px`})`;
const from = {
  mobile: minWidth(breakpoints.mobile),
  mobileMedium: minWidth(breakpoints.mobileMedium),
  mobileLandscape: minWidth(breakpoints.mobileLandscape),
  phablet: minWidth(breakpoints.phablet),
  tablet: minWidth(breakpoints.tablet),
  desktop: minWidth(breakpoints.desktop),
  leftCol: minWidth(breakpoints.leftCol),
  wide: minWidth(breakpoints.wide)
};
const until = {
  mobile: maxWidth(breakpoints.mobile),
  mobileMedium: maxWidth(breakpoints.mobileMedium),
  mobileLandscape: maxWidth(breakpoints.mobileLandscape),
  phablet: maxWidth(breakpoints.phablet),
  tablet: maxWidth(breakpoints.tablet),
  desktop: maxWidth(breakpoints.desktop),
  leftCol: maxWidth(breakpoints.leftCol),
  wide: maxWidth(breakpoints.wide)
};
const between = {
  mobile: {
    and: {
      mobileMedium: minWidthMaxWidth(breakpoints.mobile, breakpoints.mobileMedium),
      mobileLandscape: minWidthMaxWidth(breakpoints.mobile, breakpoints.mobileLandscape),
      phablet: minWidthMaxWidth(breakpoints.mobile, breakpoints.phablet),
      tablet: minWidthMaxWidth(breakpoints.mobile, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.mobile, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.mobile, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.wide)
    }
  },
  mobileMedium: {
    and: {
      mobileLandscape: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.mobileLandscape),
      phablet: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.phablet),
      tablet: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.mobileMedium, breakpoints.wide)
    }
  },
  mobileLandscape: {
    and: {
      phablet: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.phablet),
      tablet: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.mobileLandscape, breakpoints.wide)
    }
  },
  phablet: {
    and: {
      tablet: minWidthMaxWidth(breakpoints.phablet, breakpoints.tablet),
      desktop: minWidthMaxWidth(breakpoints.phablet, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.phablet, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.phablet, breakpoints.wide)
    }
  },
  tablet: {
    and: {
      desktop: minWidthMaxWidth(breakpoints.tablet, breakpoints.desktop),
      leftCol: minWidthMaxWidth(breakpoints.tablet, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.tablet, breakpoints.wide)
    }
  },
  desktop: {
    and: {
      leftCol: minWidthMaxWidth(breakpoints.desktop, breakpoints.leftCol),
      wide: minWidthMaxWidth(breakpoints.desktop, breakpoints.wide)
    }
  },
  leftCol: {
    and: {
      wide: minWidthMaxWidth(breakpoints.leftCol, breakpoints.wide)
    }
  }
};

const rootPixelFontSize = 16;
const pxToRem = (px) => px / rootPixelFontSize;

const size = {
  xsmall: 24,
  small: 36,
  medium: 44
};
const remSize = {
  xsmall: pxToRem(size.xsmall),
  small: pxToRem(size.small),
  medium: pxToRem(size.medium)
};
const iconSize = {
  xsmall: 20,
  small: 26,
  medium: 30
};
const remIconSize = {
  xsmall: pxToRem(iconSize.xsmall),
  small: pxToRem(iconSize.small),
  medium: pxToRem(iconSize.medium)
};
const height = {
  ctaMedium: size.medium,
  ctaSmall: size.small,
  ctaXsmall: size.xsmall,
  inputMedium: size.medium,
  inputXsmall: size.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
const remHeight = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputMedium: remSize.medium,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};
const width = {
  ctaMedium: size.medium,
  ctaSmall: size.small,
  ctaXsmall: size.xsmall,
  inputXsmall: size.xsmall,
  iconMedium: iconSize.medium,
  iconSmall: iconSize.small,
  iconXsmall: iconSize.xsmall
};
const remWidth = {
  ctaMedium: remSize.medium,
  ctaSmall: remSize.small,
  ctaXsmall: remSize.xsmall,
  inputXsmall: remSize.xsmall,
  iconMedium: remIconSize.medium,
  iconSmall: remIconSize.small,
  iconXsmall: remIconSize.xsmall
};

const space = {
  1: 4,
  2: 8,
  3: 12,
  4: 16,
  5: 20,
  6: 24,
  9: 36,
  12: 48,
  24: 96
};
const remSpace = {
  1: `${pxToRem(space[1])}rem`,
  2: `${pxToRem(space[2])}rem`,
  3: `${pxToRem(space[3])}rem`,
  4: `${pxToRem(space[4])}rem`,
  5: `${pxToRem(space[5])}rem`,
  6: `${pxToRem(space[6])}rem`,
  9: `${pxToRem(space[9])}rem`,
  12: `${pxToRem(space[12])}rem`,
  24: `${pxToRem(space[24])}rem`
};

const fontSizes = [12, 14, 15, 17, 20, 24, 28, 34, 42, 50, 70];
const fonts = {
  titlepiece: "GT Guardian Titlepiece, Georgia, serif",
  headlineSerif: "GH Guardian Headline, Guardian Egyptian Web, Georgia, serif",
  bodySerif: "GuardianTextEgyptian, Guardian Text Egyptian Web, Georgia, serif",
  bodySans: "GuardianTextSans, Guardian Text Sans Web, Helvetica Neue, Helvetica, Arial, Lucida Grande, sans-serif"
};
const lineHeights = [1.15, 1.35, 1.5];
const fontWeights = [300, 400, 500, 700];
const titlepieceSizes = {
  small: fontSizes[8],
  medium: fontSizes[9],
  large: fontSizes[10]
};
const headlineSizes = {
  xxxsmall: fontSizes[3],
  xxsmall: fontSizes[4],
  xsmall: fontSizes[5],
  small: fontSizes[6],
  medium: fontSizes[7],
  large: fontSizes[8],
  xlarge: fontSizes[9]
};
const bodySizes = {
  small: fontSizes[2],
  medium: fontSizes[3]
};
const textSansSizes = {
  xxsmall: fontSizes[0],
  xsmall: fontSizes[1],
  small: fontSizes[2],
  medium: fontSizes[3],
  large: fontSizes[4],
  xlarge: fontSizes[5],
  xxlarge: fontSizes[6],
  xxxlarge: fontSizes[7]
};
const fontSizeMapping = {
  titlepiece: titlepieceSizes,
  headline: headlineSizes,
  body: bodySizes,
  textSans: textSansSizes
};
const remFontSizes = fontSizes.map((fontSize) => pxToRem(fontSize));
const remTitlepieceSizes = {
  small: remFontSizes[8],
  medium: remFontSizes[9],
  large: remFontSizes[10]
};
const remHeadlineSizes = {
  xxxsmall: remFontSizes[3],
  xxsmall: remFontSizes[4],
  xsmall: remFontSizes[5],
  small: remFontSizes[6],
  medium: remFontSizes[7],
  large: remFontSizes[8],
  xlarge: remFontSizes[9]
};
const remBodySizes = {
  small: remFontSizes[2],
  medium: remFontSizes[3]
};
const remTextSansSizes = {
  xxsmall: remFontSizes[0],
  xsmall: remFontSizes[1],
  small: remFontSizes[2],
  medium: remFontSizes[3],
  large: remFontSizes[4],
  xlarge: remFontSizes[5],
  xxlarge: remFontSizes[6],
  xxxlarge: remFontSizes[7]
};
const remFontSizeMapping = {
  titlepiece: remTitlepieceSizes,
  headline: remHeadlineSizes,
  body: remBodySizes,
  textSans: remTextSansSizes
};
const fontMapping = {
  titlepiece: fonts.titlepiece,
  headline: fonts.headlineSerif,
  body: fonts.bodySerif,
  textSans: fonts.bodySans
};
const lineHeightMapping = {
  tight: lineHeights[0],
  regular: lineHeights[1],
  loose: lineHeights[2]
};
const fontWeightMapping = {
  light: fontWeights[0],
  regular: fontWeights[1],
  medium: fontWeights[2],
  bold: fontWeights[3]
};
const availableFonts = {
  titlepiece: {
    bold: {
      hasItalic: false
    }
  },
  headline: {
    light: {
      hasItalic: true
    },
    medium: {
      hasItalic: true
    },
    bold: {
      hasItalic: false
    }
  },
  body: {
    regular: {
      hasItalic: true
    },
    bold: {
      hasItalic: true
    }
  },
  textSans: {
    regular: {
      hasItalic: true
    },
    bold: {
      hasItalic: false
    }
  }
};
Object.freeze(titlepieceSizes);
Object.freeze(headlineSizes);
Object.freeze(bodySizes);
Object.freeze(textSansSizes);
Object.freeze(remTitlepieceSizes);
Object.freeze(remHeadlineSizes);
Object.freeze(remBodySizes);
Object.freeze(remTextSansSizes);
Object.freeze(fontMapping);
Object.freeze(fontSizeMapping);
Object.freeze(fontWeightMapping);
Object.freeze(lineHeightMapping);
Object.freeze(availableFonts);

function getFontStyle(font, fontStyle) {
  switch (fontStyle) {
    case "italic":
      return font?.hasItalic ? "italic" : null;
    case "normal":
      return "normal";
    case null:
    default:
      return null;
  }
}
const fs = (category) => (level, { lineHeight, fontWeight, fontStyle, unit }) => {
  const fontFamilyValue = fontMapping[category];
  const fontSizeValue = unit === "px" ? fontSizeMapping[category][level] : `${remFontSizeMapping[category][level]}rem`;
  const lineHeightValue = unit === "px" ? `${lineHeightMapping[lineHeight] * fontSizeMapping[category][level]}px` : lineHeightMapping[lineHeight];
  const requestedFont = availableFonts[category][fontWeight];
  const fontWeightValue = requestedFont ? fontWeightMapping[fontWeight] : "";
  const fontStyleValue = getFontStyle(requestedFont, fontStyle);
  return Object.assign({
    fontFamily: fontFamilyValue,
    fontSize: fontSizeValue,
    lineHeight: lineHeightValue
  }, fontWeightValue ? { fontWeight: fontWeightValue } : {}, fontStyleValue ? { fontStyle: fontStyleValue } : {});
};

const titlepieceDefaults = {
  lineHeight: "tight",
  fontWeight: "bold",
  fontStyle: null,
  unit: "rem"
};
const titlepieceFs = fs("titlepiece");
const titlepiece$1 = {
  small: (options) => titlepieceFs("small", Object.assign({}, titlepieceDefaults, options)),
  medium: (options) => titlepieceFs("medium", Object.assign({}, titlepieceDefaults, options)),
  large: (options) => titlepieceFs("large", Object.assign({}, titlepieceDefaults, options))
};
const headlineDefaults = {
  lineHeight: "tight",
  fontWeight: "medium",
  fontStyle: null,
  unit: "rem"
};
const headlineFs = fs("headline");
const headline$1 = {
  xxxsmall: (options) => headlineFs("xxxsmall", Object.assign({}, headlineDefaults, options)),
  xxsmall: (options) => headlineFs("xxsmall", Object.assign({}, headlineDefaults, options)),
  xsmall: (options) => headlineFs("xsmall", Object.assign({}, headlineDefaults, options)),
  small: (options) => headlineFs("small", Object.assign({}, headlineDefaults, options)),
  medium: (options) => headlineFs("medium", Object.assign({}, headlineDefaults, options)),
  large: (options) => headlineFs("large", Object.assign({}, headlineDefaults, options)),
  xlarge: (options) => headlineFs("xlarge", Object.assign({}, headlineDefaults, options))
};
const bodyDefaults = {
  lineHeight: "loose",
  fontWeight: "regular",
  fontStyle: null,
  unit: "rem"
};
const bodyFs = fs("body");
const body$1 = {
  small: (options) => bodyFs("small", Object.assign({}, bodyDefaults, options)),
  medium: (options) => bodyFs("medium", Object.assign({}, bodyDefaults, options))
};
const textSansDefaults = {
  lineHeight: "loose",
  fontWeight: "regular",
  fontStyle: null,
  unit: "rem"
};
const textSansFs = fs("textSans");
const textSans$1 = {
  xxsmall: (options) => textSansFs("xxsmall", Object.assign({}, textSansDefaults, options)),
  xsmall: (options) => textSansFs("xsmall", Object.assign({}, textSansDefaults, options)),
  small: (options) => textSansFs("small", Object.assign({}, textSansDefaults, options)),
  medium: (options) => textSansFs("medium", Object.assign({}, textSansDefaults, options)),
  large: (options) => textSansFs("large", Object.assign({}, textSansDefaults, options)),
  xlarge: (options) => textSansFs("xlarge", Object.assign({}, textSansDefaults, options)),
  xxlarge: (options) => textSansFs("xxlarge", Object.assign({}, textSansDefaults, options)),
  xxxlarge: (options) => textSansFs("xxxlarge", Object.assign({}, textSansDefaults, options))
};

const objectStylesToString = ({
  fontFamily,
  fontSize,
  lineHeight,
  fontWeight,
  fontStyle
}) => `
	font-family: ${fontFamily};
	font-size: ${typeof fontSize === "number" ? `${fontSize}px` : fontSize};
	line-height: ${lineHeight};
	${fontWeight ? `font-weight: ${fontWeight}` : ""};
	${fontStyle ? `font-style: ${fontStyle}` : ""};
`;

const titlepiece = Object.fromEntries(Object.entries(titlepiece$1).map(([key, func]) => {
  return [
    key,
    (options) => objectStylesToString(func(options))
  ];
}));
const headline = Object.fromEntries(Object.entries(headline$1).map(([key, func]) => {
  return [
    key,
    (options) => objectStylesToString(func(options))
  ];
}));
const body = Object.fromEntries(Object.entries(body$1).map(([key, func]) => {
  return [
    key,
    (options) => objectStylesToString(func(options))
  ];
}));
const textSans = Object.fromEntries(Object.entries(textSans$1).map(([key, func]) => {
  return [
    key,
    (options) => objectStylesToString(func(options))
  ];
}));

const appearance = "(appearance: none) or (-webkit-appearance: none) or (-moz-appearance: none)";

const TAB_KEY_CODE = 9;
class InteractionModeEngine {
  constructor(container, className) {
    this.container = container;
    this.className = className;
    this.isRunning = false;
    this.handleKeyDown = (e) => {
      if (e.which === TAB_KEY_CODE) {
        this.reset();
        this.container.addEventListener("mousedown", this.handleMouseDown);
      }
    };
    this.handleMouseDown = () => {
      this.reset();
      this.container.classList.add(this.className);
      this.container.addEventListener("keydown", this.handleKeyDown);
    };
  }
  isActive() {
    return this.isRunning;
  }
  start() {
    this.container.addEventListener("mousedown", this.handleMouseDown);
    this.isRunning = true;
  }
  stop() {
    this.reset();
    this.isRunning = false;
  }
  reset() {
    this.container.classList.remove(this.className);
    this.container.removeEventListener("keydown", this.handleKeyDown);
    this.container.removeEventListener("mousedown", this.handleMouseDown);
  }
}
const FOCUS_DISABLED = "src-focus-disabled";
let _focusEngine;
const focusEngine = () => {
  if (!_focusEngine)
    _focusEngine = new InteractionModeEngine(document.documentElement, FOCUS_DISABLED);
  return _focusEngine;
};
const FocusStyleManager = {
  alwaysShowFocus: () => focusEngine().stop(),
  isActive: () => focusEngine().isActive(),
  onlyShowFocusOnTabs: () => focusEngine().start()
};

const legend = `
	padding: 0;
`;
const fieldset = `
	border: 0;
	padding: 0;
	margin: 0;
`;
const input = `
	&:invalid {
		box-shadow: none;
	}
`;
const defaults = `
	*, *:before, *:after {
        box-sizing: border-box;
    }
    html {
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
    }
    html, body {
        text-rendering: optimizeLegibility;
        font-feature-settings: 'kern';
        font-kerning: normal; /* Safari 7+, Firefox 24+, Chrome 33(?)+, Opera 21 */
        font-variant-ligatures: common-ligatures;
    }
    body {
        background-color: ${background.primary};
        color: ${text.primary};
    }
    em {
        font-style: italic;
    }
`;
const resetCSS = `
	html, body, div, span, applet, object, iframe,
	h1, h2, h3, h4, h5, h6, p, blockquote, pre,
	a, abbr, acronym, address, big, cite, code,
	del, dfn, em, img, ins, kbd, q, s, samp,
	small, strike, strong, sub, sup, tt, var,
	b, u, i, center,
	dl, dt, dd, menu, ol, ul, li,
	fieldset, form, label, legend,
	table, caption, tbody, tfoot, thead, tr, th, td,
	article, aside, canvas, details, embed,
	figure, figcaption, footer, header, hgroup,
	main, menu, nav, output, ruby, section, summary,
	time, mark, audio, video {
		margin: 0;
		padding: 0;
		border: 0;
		font-size: 100%;
		font: inherit;
		vertical-align: baseline;
	}
	/* HTML5 display-role reset for older browsers */
	article, aside, details, figcaption, figure,
	footer, header, hgroup, main, menu, nav, section {
		display: block;
	}
	/* HTML5 hidden-attribute fix for newer browsers */
	*[hidden] {
		display: none;
	}
	body {
		line-height: 1;
	}
	menu, ol, ul {
		list-style: none;
	}
	blockquote, q {
		quotes: none;
	}
	blockquote:before, blockquote:after,
	q:before, q:after {
		content: '';
		content: none;
	}
	table {
		border-collapse: collapse;
		border-spacing: 0;
	}

	${defaults}
`;
const resets = {
  legend,
  fieldset,
  input,
  defaults,
  resetCSS
};

export { FocusStyleManager, appearance, background, between, body, body$1 as bodyObjectStyles, bodySizes, border, brand, brandAlt, brandAltBackground, brandAltBorder, brandAltLine, brandAltText, brandBackground, brandBorder, brandLine, brandText, breakpoints, culture, descriptionId, error, focus, focusHalo, fontWeightMapping as fontWeights, fontMapping as fonts, from, generateSourceId, headline, headline$1 as headlineObjectStyles, headlineSizes, height, iconSize, labs, lifestyle, line, lineHeightMapping as lineHeights, neutral, news, opinion, pxToRem, remBodySizes, remHeadlineSizes, remHeight, remSpace, remTextSansSizes, remTitlepieceSizes, remWidth, resets, rootPixelFontSize, size, space, specialReport, sport, success, text, textSans, textSans$1 as textSansObjectStyles, textSansSizes, titlepiece, titlepiece$1 as titlepieceObjectStyles, titlepieceSizes, transitions, until, visuallyHidden, width };
//# sourceMappingURL=index.mjs.map
